> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.insurgateway.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.insurgateway.com/_mcp/server.

# Brand Years

GET https://testgatewayapi.insurapps.net/api/Vehicles/{brand}

# Markaya Göre Model Yılları

Verilen markaya ait model yıllarını sayfalı şekilde döner. Sonuç 24 saat cache'lenir.

## Uç Nokta (Endpoint)

`GET {{baseUrl}}/api/Vehicles/{brand}`

## Kimlik Doğrulama

Üst koleksiyondan miras alınan **Bearer Token** kullanılır; token `{{accessToken}}` değişkeninden çözümlenir ve ilgili rolde **Read** yetkisi gerektirir.

## Path Parametreleri

| Parametre | Tip    | Zorunlu | Açıklama                |
| --------- | ------ | ------- | ----------------------- |
| brand     | string | ✅       | Marka değeri (ör. 009). |

## Sorgu Parametreleri

| Parametre | Tip     | Zorunlu | Varsayılan | Açıklama                                                 |
| --------- | ------- | ------- | ---------- | -------------------------------------------------------- |
| query     | string  | ❌       | (boş)      | Yıl arama metni.                                         |
| page      | integer | ❌       | 1          | Sayfa numarası. 1'den küçük gönderilirse 1'e sabitlenir. |
| pagesize  | integer | ❌       | 100        | Sayfa başına kayıt. Maksimum 100.                        |

## Örnek İstek

```
GET {{baseUrl}}/api/Vehicles/RENAULT?query=&page=1&pagesize=100

```

## Yanıt Yapısı

### Başarılı Yanıt (200 OK)

```json
{
    "Data": [
        {
            "Value": "1975",
            "Text": "1975"
        },
        {
            "Value": "1979",
            "Text": "1979"
        },
        {
            "Value": "1980",
            "Text": "1980"
        },
        {
            "Value": "1981",
            "Text": "1981"
        },
        {
            "Value": "1982",
            "Text": "1982"
        },
        {
            "Value": "1983",
            "Text": "1983"
        },
        {
            "Value": "1984",
            "Text": "1984"
        },
        {
            "Value": "1985",
            "Text": "1985"
        },
        {
            "Value": "1986",
            "Text": "1986"
        },
        {
            "Value": "1987",
            "Text": "1987"
        },
        {
            "Value": "1988",
            "Text": "1988"
        },
        {
            "Value": "1989",
            "Text": "1989"
        },
        {
            "Value": "1990",
            "Text": "1990"
        },
        {
            "Value": "1991",
            "Text": "1991"
        },
        {
            "Value": "1992",
            "Text": "1992"
        },
        {
            "Value": "1993",
            "Text": "1993"
        },
        {
            "Value": "1994",
            "Text": "1994"
        },
        {
            "Value": "1995",
            "Text": "1995"
        },
        {
            "Value": "1996",
            "Text": "1996"
        },
        {
            "Value": "1997",
            "Text": "1997"
        },
        {
            "Value": "1998",
            "Text": "1998"
        },
        {
            "Value": "1999",
            "Text": "1999"
        },
        {
            "Value": "2000",
            "Text": "2000"
        },
        {
            "Value": "2001",
            "Text": "2001"
        },
        {
            "Value": "2002",
            "Text": "2002"
        },
        {
            "Value": "2003",
            "Text": "2003"
        },
        {
            "Value": "2004",
            "Text": "2004"
        },
        {
            "Value": "2005",
            "Text": "2005"
        },
        {
            "Value": "2006",
            "Text": "2006"
        },
        {
            "Value": "2007",
            "Text": "2007"
        },
        {
            "Value": "2008",
            "Text": "2008"
        },
        {
            "Value": "2009",
            "Text": "2009"
        },
        {
            "Value": "2010",
            "Text": "2010"
        },
        {
            "Value": "2011",
            "Text": "2011"
        },
        {
            "Value": "2012",
            "Text": "2012"
        },
        {
            "Value": "2013",
            "Text": "2013"
        },
        {
            "Value": "2014",
            "Text": "2014"
        },
        {
            "Value": "2015",
            "Text": "2015"
        },
        {
            "Value": "2016",
            "Text": "2016"
        },
        {
            "Value": "2017",
            "Text": "2017"
        },
        {
            "Value": "2018",
            "Text": "2018"
        },
        {
            "Value": "2019",
            "Text": "2019"
        },
        {
            "Value": "2020",
            "Text": "2020"
        },
        {
            "Value": "2021",
            "Text": "2021"
        },
        {
            "Value": "2022",
            "Text": "2022"
        },
        {
            "Value": "2023",
            "Text": "2023"
        },
        {
            "Value": "2024",
            "Text": "2024"
        },
        {
            "Value": "2025",
            "Text": "2025"
        },
        {
            "Value": "2026",
            "Text": "2026"
        }
    ],
    "Page": 1,
    "PageSize": 100,
    "TotalCount": 49
}

```

## **Response Parametreleri:**

| **Alan**   | **Tip** | **Açıklama**                 |
| ---------- | ------- | ---------------------------- |
| Data       | array   | `SelectListItemDTO` listesi. |
| Page       | integer | Mevcut sayfa numarası.       |
| PageSize   | integer | Sayfa başına kayıt sayısı.   |
| TotalCount | integer | Toplam kayıt sayısı.         |

Data:

| **Alan** | **Tip** | **Açıklama**       |
| -------- | ------- | ------------------ |
| Value    | string  | Yıl değeri (kod).  |
| Text     | string  | Yıl görünen metni. |

EndFragment

## Hata Yanıtları

**400 Bad Request**

```
İşlem sırasında bir hata oluştu! RequestId: 0HN1GPVL2F3Q0:00000006, LogId: 1a2b3c4d5e6f

```

| Durum Kodu       | Gövde | Açıklama                                                               |
| ---------------- | ----- | ---------------------------------------------------------------------- |
| 401 Unauthorized | (boş) | Token yok / geçersiz / süresi dolmuş.                                  |
| 403 Forbidden    | (boş) | Rol bu uç için Read yetkisine sahip değil veya IP beyaz listede değil. |

Reference: https://docs.insurgateway.com/insurgateway-api/vehicles/brand-years

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://testgatewayapi.insurapps.net` (https://testgatewayapi.insurapps.net, default)
- `https://gatewayapi.insurapps.net` (https://gatewayapi.insurapps.net)

## Request

### Path parameters

- `brand` (integer, required)

### Query parameters

- `query` (string, optional) — Yıl arama metni. Opsiyonel.
- `page` (integer, optional)
- `pagesize` (integer, optional)

### Headers

- `Accept` (string, optional)

## Response

### 200

OK

## Examples

**Response**

```json
{
  "Data": [
    {
      "Value": "1975",
      "Text": "1975"
    },
    {
      "Value": "1979",
      "Text": "1979"
    },
    {
      "Value": "1980",
      "Text": "1980"
    },
    {
      "Value": "1981",
      "Text": "1981"
    },
    {
      "Value": "1982",
      "Text": "1982"
    },
    {
      "Value": "1983",
      "Text": "1983"
    },
    {
      "Value": "1984",
      "Text": "1984"
    },
    {
      "Value": "1985",
      "Text": "1985"
    },
    {
      "Value": "1986",
      "Text": "1986"
    },
    {
      "Value": "1987",
      "Text": "1987"
    },
    {
      "Value": "1988",
      "Text": "1988"
    },
    {
      "Value": "1989",
      "Text": "1989"
    },
    {
      "Value": "1990",
      "Text": "1990"
    },
    {
      "Value": "1991",
      "Text": "1991"
    },
    {
      "Value": "1992",
      "Text": "1992"
    },
    {
      "Value": "1993",
      "Text": "1993"
    },
    {
      "Value": "1994",
      "Text": "1994"
    },
    {
      "Value": "1995",
      "Text": "1995"
    },
    {
      "Value": "1996",
      "Text": "1996"
    },
    {
      "Value": "1997",
      "Text": "1997"
    },
    {
      "Value": "1998",
      "Text": "1998"
    },
    {
      "Value": "1999",
      "Text": "1999"
    },
    {
      "Value": "2000",
      "Text": "2000"
    },
    {
      "Value": "2001",
      "Text": "2001"
    },
    {
      "Value": "2002",
      "Text": "2002"
    },
    {
      "Value": "2003",
      "Text": "2003"
    },
    {
      "Value": "2004",
      "Text": "2004"
    },
    {
      "Value": "2005",
      "Text": "2005"
    },
    {
      "Value": "2006",
      "Text": "2006"
    },
    {
      "Value": "2007",
      "Text": "2007"
    },
    {
      "Value": "2008",
      "Text": "2008"
    },
    {
      "Value": "2009",
      "Text": "2009"
    },
    {
      "Value": "2010",
      "Text": "2010"
    },
    {
      "Value": "2011",
      "Text": "2011"
    },
    {
      "Value": "2012",
      "Text": "2012"
    },
    {
      "Value": "2013",
      "Text": "2013"
    },
    {
      "Value": "2014",
      "Text": "2014"
    },
    {
      "Value": "2015",
      "Text": "2015"
    },
    {
      "Value": "2016",
      "Text": "2016"
    },
    {
      "Value": "2017",
      "Text": "2017"
    },
    {
      "Value": "2018",
      "Text": "2018"
    },
    {
      "Value": "2019",
      "Text": "2019"
    },
    {
      "Value": "2020",
      "Text": "2020"
    },
    {
      "Value": "2021",
      "Text": "2021"
    },
    {
      "Value": "2022",
      "Text": "2022"
    },
    {
      "Value": "2023",
      "Text": "2023"
    },
    {
      "Value": "2024",
      "Text": "2024"
    },
    {
      "Value": "2025",
      "Text": "2025"
    },
    {
      "Value": "2026",
      "Text": "2026"
    }
  ],
  "Page": 1,
  "PageSize": 100,
  "TotalCount": 49
}
```

**SDK Code**

```python Vehicles_brandYears_example
import requests

url = "https://testgatewayapi.insurapps.net/api/Vehicles/9"

querystring = {"page":"1","pagesize":"100"}

headers = {
    "Accept": "application/json",
    "Authorization": "Bearer <token>"
}

response = requests.get(url, headers=headers, params=querystring)

print(response.json())
```

```javascript Vehicles_brandYears_example
const url = 'https://testgatewayapi.insurapps.net/api/Vehicles/9?page=1&pagesize=100';
const options = {
  method: 'GET',
  headers: {Accept: 'application/json', Authorization: 'Bearer <token>'}
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go Vehicles_brandYears_example
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://testgatewayapi.insurapps.net/api/Vehicles/9?page=1&pagesize=100"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Accept", "application/json")
	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby Vehicles_brandYears_example
require 'uri'
require 'net/http'

url = URI("https://testgatewayapi.insurapps.net/api/Vehicles/9?page=1&pagesize=100")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Accept"] = 'application/json'
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java Vehicles_brandYears_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://testgatewayapi.insurapps.net/api/Vehicles/9?page=1&pagesize=100")
  .header("Accept", "application/json")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php Vehicles_brandYears_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://testgatewayapi.insurapps.net/api/Vehicles/9?page=1&pagesize=100', [
  'headers' => [
    'Accept' => 'application/json',
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp Vehicles_brandYears_example
using RestSharp;

var client = new RestClient("https://testgatewayapi.insurapps.net/api/Vehicles/9?page=1&pagesize=100");
var request = new RestRequest(Method.GET);
request.AddHeader("Accept", "application/json");
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift Vehicles_brandYears_example
import Foundation

let headers = [
  "Accept": "application/json",
  "Authorization": "Bearer <token>"
]

let request = NSMutableURLRequest(url: NSURL(string: "https://testgatewayapi.insurapps.net/api/Vehicles/9?page=1&pagesize=100")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```